import 'package:flutter/material.dart';

class ColorDescriptor {
  const ColorDescriptor({
    this.shade,
    this.color,
    this.contrastColor,
    String? name,
    String prefix = '',
  }) : this.name = name ?? (shade == null ? '' : '$prefix$shade');

  final int? shade;
  final Color? color;
  final Color? contrastColor;
  final String name;

  String getTitle() {
    return name;
    // return shade == null ? '' : '$prefix$shade';
  }
}
